Nvidia driver installation problems anyone?

Every time i try to install the “nvidia” package it shoots me this error, any idea how to fix it?

warning: cannot resolve "nvidia-utils=555.42.02", a dependency of "nvidia"
:: The following package cannot be upgraded due to unresolvable dependencies:
      nvidia

:: Do you want to skip the above package for this upgrade?

neither option resolves the problem!

nevermind, i found out that the real nvidia package of cachyos is cachyos/linux-cachyos-nvidia. now i have a different issue that upgrading the graphics driver isn’t a solution to. BUT! i do get these errors every time i update now.

==> ERROR: module not found: 'nvidia'
==> ERROR: module not found: 'nvidia_modeset'
==> ERROR: module not found: 'nvidia_uvm'
==> ERROR: module not found: 'nvidia_drm'
==> Generating module dependencies
==> Creating zstd-compressed initcpio image: '/boot/initramfs-linux-fallback.img'
==> WARNING: errors were encountered during the build. The image may not be complete.
error: command failed to execute correctly

other than these errors everything seems to be working fine, except for steamvr. i wanna use my index! :sob:

I think you pulled in somehow the “nvidia” package from arch. This is not required.

The above error, is because you have the default arch kernel installed. They do not have yet the latest nvidia driver.

@ptr1337 is right as soon as you saw that the beta 555 driver for nVidia is being used you should of realized not to change the kernel cause most kernels aren’t built for it yet.